3214 startup error

I'm unable to start IDEA EAP versions greater than 3193. It gives the
following error:

java.lang.NoClassDefFoundError: com/intellij/openapi/extension/LogProvider
at com.intellij.idea.Main.main(Main.java:15)
........................

Can you help me?

Thanks
Adi

3 comments
Comment actions Permalink

Do the clean installation. You seem to be using outdated launcher idea.bat
or idea.sh file.

-


Maxim Shafirov
http://www.jetbrains.com
"Develop with pleasure!"

I'm unable to start IDEA EAP versions greater than 3193. It gives the
following error:

java.lang.NoClassDefFoundError:
com/intellij/openapi/extension/LogProvider
at com.intellij.idea.Main.main(Main.java:15)
........................
Can you help me?

Thanks
Adi




0
Comment actions Permalink

Unpacked 3214 and jre3136 as in Install.txt....
Trying to start with idea.sh... :( :

java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at com.intellij.ide.plugins.i$3.run(i$3.java:6)
at java.lang.Thread.run(Thread.java:534)
Caused by: java.lang.UnsupportedClassVersionError: com/sun/jdi/Field
(Unsupported major.minor version 49.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
at java.lang.ClassLoader.defineClass(ClassLoader.java:448)
at com.intellij.ide.plugins.a.a.a(a.java:34)
at com.intellij.ide.plugins.a.a.findClass(a.java:40)
at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:141)
at com.intellij.idea.Main.d(Main.java:8)
at com.intellij.idea.Main.b(Main.java:7)
at com.intellij.idea.Main.start(Main.java:51)
... 6 more
ERROR:
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at com.intellij.ide.plugins.i$3.run(i$3.java:6)
at java.lang.Thread.run(Thread.java:534)
Caused by: java.lang.UnsupportedClassVersionError: com/sun/jdi/Field
(Unsupported major.minor version 49.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
at java.lang.ClassLoader.defineClass(ClassLoader.java:448)
at com.intellij.ide.plugins.a.a.a(a.java:34)
at com.intellij.ide.plugins.a.a.findClass(a.java:40)
at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:141)
at com.intellij.idea.Main.d(Main.java:8)
at com.intellij.idea.Main.b(Main.java:7)
at com.intellij.idea.Main.start(Main.java:51)
... 6 more
ERROR:
java.lang.AssertionError:
at
com.intellij.openapi.diagnostic.DefaultLogger.error(DefaultLogger.java:33)
at com.intellij.openapi.diagnostic.Logger.error(Logger.java:46)
at com.intellij.ide.plugins.i$3.run(i$3.java:3)
at java.lang.Thread.run(Thread.java:534)

Thanks,
Adi
Maxim Shafirov wrote:

Do the clean installation. You seem to be using outdated launcher idea.bat
or idea.sh file.

-------------------
Maxim Shafirov
http://www.jetbrains.com
"Develop with pleasure!"

>> I'm unable to start IDEA EAP versions greater than 3193. It gives the
>> following error:
>>
>> java.lang.NoClassDefFoundError:
>> com/intellij/openapi/extension/LogProvider
>> at com.intellij.idea.Main.main(Main.java:15)
>> ........................
>> Can you help me?
>>
>> Thanks
>> Adi

0
Comment actions Permalink

Seems like tools.jar somehow loaded from jdk15

-


Maxim Shafirov
http://www.jetbrains.com
"Develop with pleasure!"

Unpacked 3214 and jre3136 as in Install.txt....
Trying to start with idea.sh... :( :
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.j
ava:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccess
orImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at com.intellij.ide.plugins.i$3.run(i$3.java:6)
at java.lang.Thread.run(Thread.java:534)
Caused by: java.lang.UnsupportedClassVersionError: com/sun/jdi/Field
(Unsupported major.minor version 49.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
at java.lang.ClassLoader.defineClass(ClassLoader.java:448)
at com.intellij.ide.plugins.a.a.a(a.java:34)
at com.intellij.ide.plugins.a.a.findClass(a.java:40)
at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
at
java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:141)
at com.intellij.idea.Main.d(Main.java:8)
at com.intellij.idea.Main.b(Main.java:7)
at com.intellij.idea.Main.start(Main.java:51)
... 6 more
ERROR:
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.j
ava:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccess
orImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:324)
at com.intellij.ide.plugins.i$3.run(i$3.java:6)
at java.lang.Thread.run(Thread.java:534)
Caused by: java.lang.UnsupportedClassVersionError: com/sun/jdi/Field
(Unsupported major.minor version 49.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
at java.lang.ClassLoader.defineClass(ClassLoader.java:448)
at com.intellij.ide.plugins.a.a.a(a.java:34)
at com.intellij.ide.plugins.a.a.findClass(a.java:40)
at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
at
java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:141)
at com.intellij.idea.Main.d(Main.java:8)
at com.intellij.idea.Main.b(Main.java:7)
at com.intellij.idea.Main.start(Main.java:51)
... 6 more
ERROR:
java.lang.AssertionError:
at
com.intellij.openapi.diagnostic.DefaultLogger.error(DefaultLogger.java
:33)
at
com.intellij.openapi.diagnostic.Logger.error(Logger.java:46)
at com.intellij.ide.plugins.i$3.run(i$3.java:3)
at java.lang.Thread.run(Thread.java:534)
Thanks,
Adi
Maxim Shafirov wrote:

>> Do the clean installation. You seem to be using outdated launcher
>> idea.bat or idea.sh file.
>>
>> -


>> Maxim Shafirov
>> http://www.jetbrains.com
>> "Develop with pleasure!"
>>> I'm unable to start IDEA EAP versions greater than 3193. It gives
>>> the following error:
>>>
>>> java.lang.NoClassDefFoundError:
>>> com/intellij/openapi/extension/LogProvider
>>> at com.intellij.idea.Main.main(Main.java:15)
>>> ........................
>>> Can you help me?
>>> Thanks
>>> Adi



0

Please sign in to leave a comment.